Chat now with support
Chat with Support

Foglight 5.9.5 - Upgrade Guide

Understand product versions Best practices Upgrade the Foglight Management Server Upgrade the Foglight Agent Manager Upgrade the Application Monitoring cartridges Upgrade the Database cartridges Upgrade the End User Management cartridges Upgrading the Infrastructure Management cartridges Upgrade the Integration cartridges Upgrade the cartridges in a federated or High Availability (HA) environment Appendix: Deploying an agent package using the browser interface

Upgrade concentrators

When the Agent Manager is deployed using concentrators, all of the concentrators need to be upgraded before the downstream clients are upgraded. Otherwise, when a downstream client is restarted, it sends its upstream concentrator messages in an unknown format, making communication between the two impossible.

Consequently, the Upgrade button on the Agent Hosts dashboard is disabled for downstream clients until all of the upstream concentrators have been upgraded to the latest version.

See the Foglight Agent Manager Installation Guide for more information about running Agent Managers as concentrators.

Upgrade installations with multiple state instances

When upgrading an Agent Manager installation that has multiple state instances running, all the state instances must be upgraded simultaneously, otherwise the upgrade process fails with errors.

You must use one of the following upgrade options:

Once you finish upgrading the Agent Manager hosts, restart each of the agents that were deactivated.

 

Upgrade a 32-bit FglAM installation on a 64-bit operating system

This section provides instructions for upgrading an existing 32-bit FglAM installation on a 64-bit operating system.

3
Edit the “new” {{state/default/config/fglam.config.xml}} file, and replace the {{<config:id> ... </config:id>}} value with that obtained from the “existing” FglAM installation.
4
Edit the “new” {{state/default/config/fglam.config.xml}} file, and replace the {{<config:host-display-name> ... </config:host-display-name>}} value with that obtained from the “existing” FglAM installation.

Agent Manager upgrade issues

Agent Manager upgrades for multiple state instances may fail in certain situations. A detailed description of this issue and a workaround is provided in FglAM vm.config file migration fails under multi-state installations.

Agent Manager upgrades from a 5.5.4.x legacy release require an intermediary upgrade to 5.6.7 prior to upgrading to 5.8.5 or later. To complete this intermediary upgrade, install one or more of the Agent Manager 5.6.7 platform-specific cartridges (as required), and upgrade the legacy hosts to this release before deploying the 5.9.x Agent Manager cartridge or upgrading the Foglight Management Server to version 5.9.x.

After all of the legacy hosts are running version 5.6.7, and the Foglight Management Server is upgraded to version 5.9.x or later, you can start upgrading your hosts to version 5.9.x.

You may encounter issues in the following situation when upgrading the Agent Manager: Upgrade from an Agent Manager version earlier than 5.5.4.

Related Documents